<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('Dog List')"></head>

<body>
    <div class="container-fluid">
        <h1>Dog List</h1>

        <div class="row">

            <div class="col-md-4" th:each="dog : ${dogs}">
                <div class="card">
                    <div class="card-body">
                      <h5 class="card-title" th:text="${dog.name}"></h5>
                      <h6 class="card-subtitle mb-2 text-muted" th:text="${dog.breed}"></h6>
                      <p class="card-text" th:text="${#temporals.format(dog.birthdate, 'dd/MM/yyyy')}"></p>
                      <!-- <a href="#" class="card-link">Card link</a> -->
                      <a th:href="@{'/dog/' + ${dog.id} }" class="card-link">See dog</a> 
                    </div>
                  </div>
            </div>

        </div>

    </div>



   
</body>

</html>